Term.Raw (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class Term.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Raw

- All Implemented Interfaces:
    AssignmentTestable
  Direct Known Subclasses:
    AbstractMarker.Raw, Constants.Literal, FunctionCall.Raw, Lists.Literal, Maps.Literal, Sets.Literal, Term.MultiColumnRaw, TypeCast, UserTypes.Literal
  Enclosing interface:
    Term

      public abstract static class Term.Raw
      extends java.lang.Object
      implements AssignmentTestable

  A parsed, non prepared (thus untyped) term. This can be one of: - a constant - a collection literal - a function call - a marker

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Raw()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AbstractType<?>` | `getExactTypeIfKnown(java.lang.String keyspace)` The type of the `term` if it can be infered.
    `abstract java.lang.String` | `getText()`
    `abstract Term` | `prepare(java.lang.String keyspace, ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Constructor Detail

    - #### Raw

          public Raw()

  - ### Method Detail

    - #### prepare

          public abstract Term prepare(java.lang.String keyspace,
                                       ColumnSpecification receiver)
                                throws InvalidRequestException

      This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
      Parameters:
        `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
      Returns:
        the prepared term.
      Throws:
        `InvalidRequestException`

    - #### getText

          public abstract java.lang.String getText()

      Returns:
        a String representation of the raw term that can be used when reconstructing a CQL query string.

    - #### getExactTypeIfKnown

          public abstract AbstractType<?> getExactTypeIfKnown(java.lang.String keyspace)

      The type of the `term` if it can be infered.
      Parameters:
        `keyspace` - the keyspace on which the statement containing this term is on.
      Returns:
        the type of this `Term` if inferrable, or `null` otherwise (for instance, the type isn't inferable for a bind marker. Even for literals, the exact type is not inferrable since they are valid for many different types and so this will return `null` too).

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation